Bug 474132 - ondemand on scaling erratic and inconsistent on T8100
ondemand on scaling erratic and inconsistent on T8100
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 06:53 EST by James Ettle
Modified: 2009-06-30 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.29.5 + ignore_tpc patch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 15:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12388 None None None Never

  None (edit)
Description James Ettle 2008-12-02 06:53:53 EST
Description of problem:
On my T8100 notebook, the ondemand governor will only take the processor to full-speed (2.1 GHz) if a demanding job is running on Core 1. If the job is on Core 0, it'll only go up to 1.2 GHz. scaling_max_freq is correct at 2101000 in sysfs for both CPUs.

Version-Release number of selected component (if applicable):
kernel-2.6.27.7-132.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Get a job running on Core 0.
  
Actual results:
CPU only goes up to 1.2 GHz.

Expected results:
CPU goes up to maximum speed (2.1 GHz).

Additional info:
For ACPI dump see bug 448150.
Comment 1 James Ettle 2008-12-03 06:13:36 EST
I've just checked and this bug does not appear to manifest in kernel-2.6.27.7-53.fc9.x86_64.
Comment 2 James Ettle 2008-12-09 14:33:39 EST
Still present in kernel-2.6.27.8-144.fc10.x86_64. It now caps on 1.6 GHz or sometimes 2.100 GHz (maximum is actually 2.101 GHz). Either way, load metering differs between Core 0 and Core 1.
Comment 3 James Ettle 2008-12-15 10:45:01 EST
kernel-2.6.27.9-155.fc10.x86_64 is as comment #2.
Comment 4 James Ettle 2008-12-16 05:12:14 EST
I've furthermore observed that, when *first booted on battery power*, the CPU will [eventually] scale up to 2.1 GHz. Normally on battery power, it should only go to 1.2 GHz. If I press the "low power" button, it *does* start to limit itself to 1.2 GHz as it should, and also thereafter when on battery power; on mains, all speeds are available (provided the governor selects them).
Comment 5 James Ettle 2009-02-12 09:05:29 EST
ondemand scaling seems much improved in kernel-2.6.29-0.20.rc3.git12.fc10.x86_64, now supporting independent core frequencies and correct metering. Closing in deference to upstream.
Comment 6 James Ettle 2009-03-12 21:21:05 EDT
Re-opening, it's not fixed. Core 0 actually appears to operate slower than reported in sysfs.

Note You need to log in before you can comment on or make changes to this bug.